## python-threadloop 1.0.2

=== Makefile ===
project := threadloop

flake8 := flake8
pytest := py.test -s --tb short --cov $(project) tests

test_args := --cov-report term-missing --cov-report xml

.DEFAULT_GOAL := test

.PHONY:install
install:
	pip install -r requirements-test.txt
	python setup.py develop

.PHONY: clean
clean:
	@find $(project) tests -name "*.pyc" -delete

.PHONY:test
test: clean lint
	PYTHONDONTWRITEBYTECODE=1 $(pytest) $(test_args)

.PHONY: lint
lint:
	$(flake8) $(project) tests

=== debian/changelog ===
python-threadloop (1.0.2-2) unstable; urgency=medium

  * Re-upload source-only.

 -- Thomas Goirand <zigo@debian.org>  Tue, 10 Sep 2024 15:00:21 +0200

python-threadloop (1.0.2-1) unstable; urgency=medium

  * Initial release. (Closes: #1081203)

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Aug 2024 11:24:34 +0200

=== debian/control ===
Source: python-threadloop
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 11),
 dh-python,
 openstack-pkg-tools,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Build-Depends-Indep:
 python3-tornado,
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-threadloop
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-threadloop.git
Homepage: https://github.com/TomerFi/aioswitcher

Package: python3-threadloop
Architecture: all
Depends:
 python3-tornado,
 ${misc:Depends},
 ${python3:Depends},
Description: Tornado IOLoop Backed Concurrent Futures
 This package provides a way to run Tornado Coroutines from Synchronous Python.
 .
 Tornado is a Python web framework and asynchronous networking library,
 originally developed at FriendFeed. By using non-blocking network I/O,
 Tornado can scale to tens of thousands of open connections, making it ideal
 for long polling, WebSockets, and other applications that require a
 long-lived connection to each user.

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT := https://github.com/TomerFi/aioswitcher.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3
